First time here? Check out the FAQ!
x

Need Adobe Acrobat Standard 8 to work with Windows 8.1. Is it possible?

0 votes
asked by about Adobe Acrobat 8.1.7 Professional and Standard Update
edited by

Need Adobe Acrobat Standard 8 to work with Windows 8.1. Is it possible?

1 Answer

0 votes
answered by (236k points)

Adobe Acrobat 8.1.7 is not compatible with Windows 8. For Windows 8, you might need to use the latest version of Acrobat XI Pro from Adobe.

Adobe Acrobat 8.1.7 is compatible with the following operating systems:

Microsoft Windows 2000 with Service Pack 4; Windows Server 2003
(32-bit or 64-bit editions) with Service Pack 1; Windows XP
Professional, Home, Tablet PC, or 64-bit editions with Service Pack 2
or 3; or Windows Vista Home Basic, Home Premium, Ultimate, Business,
or Enterprise with Service Pack 1 or 2 (32-bit or 64-bit editions)

Your answer

Your name to display (optional):
Privacy: Your email address will only be used for sending these notifications.
Anti-spam verification:
To avoid this verification in future, please log in or register
...